# packer-builder-iocage

This is a [HashiCorp Packer](https://www.packer.io/) plugin to create iocage snapshots.

## Requirements
* [Packer](https://www.packer.io/intro/getting-started/install.html)
* [Go 1.12+](https://golang.org/doc/install)

## Build & Installation

### Install from source:

Clone repository to `$GOPATH/src/gitea.lyrion.ch/zilti/packer-builder-iocage`

```sh
$ mkdir -p $GOPATH/src/gitea.lyrion.ch/zilti; cd $GOPATH/src/gitea.lyrion.ch/zilti
$ git clone http://gitea.lyrion.ch/zilti/packer-builder-iocage.git
```

Enter the provider directory and build the provider

```sh
$ cd $GOPATH/src/gitea.lyrion.ch/zilti/packer-builder-iocage
$ make build
```

Link the build to Packer

```sh
$ ln -s $GOPATH/bin/packer-builder-iocage ~/.packer.d/plugins/packer-builder-iocage
```
